Debian Bug report logs - #680281
sdcv crashes with the message "terminate called after throwing an instance of 'std::out_of_range'"

version graph

Package: sdcv; Maintainer for sdcv is Michal Čihař <nijel@debian.org>; Source for sdcv is src:sdcv.

Reported by: "Douglas A. Augusto" <daaugusto@gmail.com>

Date: Wed, 4 Jul 2012 19:18:01 UTC

Severity: normal

Found in version sdcv/0.4.2-16

Fixed in version sdcv/0.5.0~beta2-1

Done: Michal Čihař <nijel@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michal Čihař <nijel@debian.org>:
Bug#680281; Package sdcv. (Wed, 04 Jul 2012 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Douglas A. Augusto" <daaugusto@gmail.com>:
New Bug report received and forwarded. Copy sent to Michal Čihař <nijel@debian.org>. (Wed, 04 Jul 2012 19:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Douglas A. Augusto" <daaugusto@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sdcv crashes with the message "terminate called after throwing an instance of 'std::out_of_range'"
Date: Wed, 4 Jul 2012 16:15:22 -0300
Package: sdcv
Version: 0.4.2-16
Severity: normal

Dear Maintainer,

When performing a full-text search using a frequent word (e.g. "the"), sdcv
crashes way before the main memory is exhausted:

   % sdcv
   Enter word or phrase: |the
   terminate called after throwing an instance of 'std::out_of_range'
     what():  basic_string::basic_string
   zsh: abort      sdcv

Interestingly enough, I could not reproduce this crash with the upstream
version (http://sdcv.sourceforge.net/).

gdb's backtrace:

   Program received signal SIGABRT, Aborted.
   0x00007ffff6b94475 in *__GI_raise (sig=<optimized out>)
       at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
   64 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

   (gdb) bt
   #0  0x00007ffff6b94475 in *__GI_raise (sig=<optimized out>)
       at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
   #1  0x00007ffff6b976f0 in *__GI_abort () at abort.c:92
   #2  0x00007ffff73e668d in __gnu_cxx::__verbose_terminate_handler() ()
      from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #3  0x00007ffff73e4796 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #4  0x00007ffff73e47c3 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #5  0x00007ffff73e49ee in __cxa_throw () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #6  0x00007ffff743666d in std::__throw_out_of_range(char const*) ()
      from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #7  0x00007ffff74423be in std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(std::string const&, unsigned long, unsigned long) ()
      from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
   #8  0x0000000000406a55 in ?? ()
   #9  0x0000000000406f18 in ?? ()
   #10 0x0000000000407ab2 in ?? ()
   #11 0x00000000004041ac in ?? ()
   #12 0x00007ffff6b80ead in __libc_start_main (main=<optimized out>, argc=<optimized out>, 
       ubp_av=<optimized out>, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, 
       stack_end=0x7fffffffe2d8) at libc-start.c:228
   #13 0x00000000004044c1 in ?? ()
   #14 0x00007fffffffe2d8 in ?? ()
   #15 0x000000000000001c in ?? ()
   #16 0x0000000000000001 in ?? ()
   #17 0x00007fffffffe52a in ?? ()
   #18 0x0000000000000000 in ?? ()


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/12 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sdcv depends on:
ii  libc6         2.13-33
ii  libgcc1       1:4.7.1-2
ii  libglib2.0-0  2.32.3-1
ii  libreadline6  6.2-8
ii  libstdc++6    4.7.1-2
ii  zlib1g        1:1.2.7.dfsg-13

-- 
Douglas A. Augusto




Reply sent to Michal Čihař <nijel@debian.org>:
You have taken responsibility. (Tue, 10 Sep 2013 07:42:23 GMT) Full text and rfc822 format available.

Notification sent to "Douglas A. Augusto" <daaugusto@gmail.com>:
Bug acknowledged by developer. (Tue, 10 Sep 2013 07:42:23 GMT) Full text and rfc822 format available.

Message #10 received at 680281-close@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: 680281-close@bugs.debian.org
Subject: Bug#680281: fixed in sdcv 0.5.0~beta2-1
Date: Tue, 10 Sep 2013 07:33:19 +0000
Source: sdcv
Source-Version: 0.5.0~beta2-1

We believe that the bug you reported is fixed in the latest version of
sdcv, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680281@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michal Čihař <nijel@debian.org> (supplier of updated sdcv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Sep 2013 09:17:02 +0200
Source: sdcv
Binary: sdcv
Architecture: source amd64
Version: 0.5.0~beta2-1
Distribution: unstable
Urgency: low
Maintainer: Michal Čihař <nijel@debian.org>
Changed-By: Michal Čihař <nijel@debian.org>
Description: 
 sdcv       - StarDict Console Version
Closes: 680281 721282
Changes: 
 sdcv (0.5.0~beta2-1) unstable; urgency=low
 .
   * Update watch file.
   * New upstream release (Closes: #721282).
     - All patches incorporated upstream.
     - Should fix searching for frequent words (Closes: #680281).
   * Use canonical VCS URLs in debian/control.
   * Adjust debian/rules to new CMake based build system.
Checksums-Sha1: 
 f4bb0221a5261ec4bb47109dbbf3558133a50311 1951 sdcv_0.5.0~beta2-1.dsc
 a64f53f0b7366203dbf5826d751ebfd9c1725872 51508 sdcv_0.5.0~beta2.orig.tar.bz2
 67f8781bdb9a40e74cda704c46bf4955edcddad4 4904 sdcv_0.5.0~beta2-1.debian.tar.gz
 03b9d022499c173ce2ab3fa3859a8e06ad2f90d3 53970 sdcv_0.5.0~beta2-1_amd64.deb
Checksums-Sha256: 
 87d0e51035794e1f64371fe31765ff9f42d9bfa53538ebd31c3970730ed7b5e0 1951 sdcv_0.5.0~beta2-1.dsc
 386cfc96285a653c697f8baeab676cb3f1645cea029464d194872d0bbae14ffb 51508 sdcv_0.5.0~beta2.orig.tar.bz2
 d2267bb419e9a08d0f6e26c761d29ee9752197f2da4ea16a3303f6c0ac589a4c 4904 sdcv_0.5.0~beta2-1.debian.tar.gz
 038891aec0bfe8ef889064b49d8e1ef9bddb2589f670fd673cd1eb8bbe1be28f 53970 sdcv_0.5.0~beta2-1_amd64.deb
Files: 
 33c3965ec41aad9ed00214846570a915 1951 utils optional sdcv_0.5.0~beta2-1.dsc
 49aa0e9b47b602022da0ea54d6104562 51508 utils optional sdcv_0.5.0~beta2.orig.tar.bz2
 6b98540d8775f3cc1c10a29e22966592 4904 utils optional sdcv_0.5.0~beta2-1.debian.tar.gz
 cb1810911aefc2dfc2c6a7890bdd9bb0 53970 utils optional sdcv_0.5.0~beta2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSLsgTAAoJEGo39bHX+xdNJMAQAIXs2KTK7FqHz4yGPdR8eZMu
J+99bFCwojsJSh35KrRTE0PS4S5ts8S5YgwCw4QAIJdh8+8x+Vm/J2pnZ+RsZa8n
IyXtbn5oDDErf/jvCdhhgKWuqbA1+AvkHAw02xsxwTleUWmJVbx1kqpcphJGkxiR
UUd97PYhBZLeXuNLrVzlDHHYHPkCUk3FhpC6PWw3xafsgMdGi+K+60WzCLUgEEuk
c6rpl+bG33Y+uq4GncNvxD+gA1yBXEu1v7/JPTYyu1M1zI5mDL2zI9IA3bxf7S2d
C/0L/7CKlFxelecHIu2lNRsRK53VCchc0/7NyEh2lhGEEfw9QstarfylJ7wmWkVi
aqE9sxu59WB/L+RMT652oznZR8DDpZbmYyV/BlKWwiYCDX2i/TaIuUcnWuHoduHL
PkavPnYLwzNDE1uTJD7EBx+vcsKL3NBRIPN/ofspAwLvXOdl45TfOsP7hHXI06ZO
jQ5ouUXwhiRuVUo/ACD6Ga6/4mwNMFSqpZ/YOl4B3ES8w77TgW2AEj1krR79Pk15
4UNnz6se9p0d1p9F5S0yaLgAWoAzZwiBvfkl1muADLpgzxGN2nrWNwVTcyNhWdCA
dZUKV09cR+ScKoLWeyB7ejiLtpUQdLIpwkyonTnd5hok/BTp56a+pSl0l5wScJep
4htw2hYU2XsfK3JZdA+R
=9hW+
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:31:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.